#pragma once

#include "OptionsWindow.h"

#include "DimensionMap.h"
#include "MapOptions.h"

class MapWindow : public OptionsWindow
{
private:
    DimensionMap* map;
    MapOptions* options;

public:
    MapWindow();
    ~MapWindow();
    
    void setVisibility(bool visible);
    void addChunk(ChunkMap* chunk);
    void updatePlayerData(char* data);
    
    bool tick(double time) override;
};